RAND_SET_RAND_METHOD(3)

NAME
RAND_set_rand_method, RAND_get_rand_method, RAND_SSLeay - select RAND method

SYNOPSIS
#include <openssl/rand.h>
int
RAND_set_rand_method(const RAND_METHOD *meth);
const RAND_METHOD *
RAND_get_rand_method(void);
RAND_METHOD *
RAND_SSLeay(void);

DESCRIPTION
These functions used to allow for the random number generator functions to be replaced by arbitrary code.

They are kept for ABI compatibility but are no longer functional, and should not be used in new programs.

RETURN VALUES
RAND_set_rand_method() always returns 1. RAND_get_rand_method() and RAND_SSLeay() always return NULL.

HISTORY
RAND_set_rand_method(), RAND_get_rand_method(), and RAND_SSLeay() first appeared in SSLeay 0.9.1 and have been available since OpenBSD 2.6.